Bug 628284 - SELinux is preventing /usr/sbin/tzdata-update "read" access on clock.
Summary: SELinux is preventing /usr/sbin/tzdata-update "read" access on clock.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 14
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:7729b0b4383...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-29 07:07 UTC by Renich Bon Ciric
Modified: 2010-09-08 04:32 UTC (History)
2 users (show)

Fixed In Version: selinux-policy-3.9.0-2.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-08 04:32:11 UTC


Attachments (Terms of Use)

Description Renich Bon Ciric 2010-08-29 07:07:47 UTC
Summary:

SELinux is preventing /usr/sbin/tzdata-update "read" access on clock.

Detailed Description:

SELinux denied access requested by tzdata-update. It is not expected that this
access is required by tzdata-update and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                unconfined_u:system_r:tzdata_t:s0-s0:c0.c1023
Target Context                system_u:object_r:etc_runtime_t:s0
Target Objects                clock [ file ]
Source                        tzdata-update
Source Path                   /usr/sbin/tzdata-update
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           glibc-common-2.12.90-6
Target RPM Packages           
Policy RPM                    selinux-policy-3.8.8-10.fc14
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.35-0.57.rc6.git1.fc14.x86_64 #1 SMP Mon Jul 26
                              22:43:02 UTC 2010 x86_64 x86_64
Alert Count                   2
First Seen                    Sun 29 Aug 2010 02:06:41 AM CDT
Last Seen                     Sun 29 Aug 2010 02:06:41 AM CDT
Local ID                      81db9212-b857-450a-bf04-d73f9b5ad10b
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1283065601.515:542): avc:  denied  { read } for  pid=4777 comm="tzdata-update" name="clock" dev=dm-0 ino=524308 scontext=unconfined_u:system_r:tzdata_t:s0-s0:c0.c1023 tcontext=system_u:object_r:etc_runtime_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1283065601.515:542): arch=c000003e syscall=2 success=no exit=-13 a0=4006f2 a1=0 a2=7fffb9846808 a3=0 items=0 ppid=3568 pid=4777 auid=500 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=pts0 ses=2 comm="tzdata-update" exe="/usr/sbin/tzdata-update" subj=unconfined_u:system_r:tzdata_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  catchall,tzdata-update,tzdata_t,etc_runtime_t,file,read
audit2allow suggests:

#============= tzdata_t ==============
allow tzdata_t etc_runtime_t:file read;

Comment 1 Daniel Walsh 2010-08-30 13:29:11 UTC
Fixed in selinux-policy-3.9.0-2.fc14

Comment 2 Fedora Update System 2010-08-30 15:59:37 UTC
selinux-policy-3.9.0-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/selinux-policy-3.9.0-2.fc14

Comment 3 Fedora Update System 2010-08-30 19:38:17 UTC
selinux-policy-3.9.0-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/selinux-policy-3.9.0-2.fc14

Comment 4 Fedora Update System 2010-09-08 04:30:28 UTC
selinux-policy-3.9.0-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.